Ellipsis APIReferencePlatform

Whoami

Return the identity behind the caller's credential.

GET
/v1/me

Return the identity behind the caller's credential.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

user-agent?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/me"
{  "api_key_id": "string",  "customer_id": "string",  "customer_login": "string",  "gh_user": {    "avatar_url": "string",    "bio": "string",    "blog": "string",    "business_plus": true,    "collaborators": 0,    "company": "string",    "created_at": "2019-08-24T14:15:22Z",    "disk_usage": 0,    "email": "string",    "events_url": "string",    "followers": 0,    "followers_url": "string",    "following": 0,    "following_url": "string",    "gists_url": "string",    "gravatar_id": "string",    "hireable": true,    "html_url": "string",    "id": 0,    "ldap_dn": "string",    "location": "string",    "login": "string",    "name": "string",    "node_id": "string",    "notification_email": "string",    "organizations_url": "string",    "owned_private_repos": 0,    "plan": {      "collaborators": 0,      "name": "string",      "private_repos": 0,      "space": 0    },    "private_gists": 0,    "public_gists": 0,    "public_repos": 0,    "received_events_url": "string",    "repos_url": "string",    "site_admin": true,    "starred_url": "string",    "subscriptions_url": "string",    "total_private_repos": 0,    "twitter_username": "string",    "two_factor_authentication": true,    "type": "User",    "updated_at": "2019-08-24T14:15:22Z",    "url": "string",    "user_view_type": "string"  },  "sandbox_id": "string",  "user_id": "string"}